import { ButtonSizes } from "../constants/button-sizes";
import { ButtonStyles } from "../constants/button-styles";
import { ButtonTypes } from "../constants/button-types";
import React from "react";
import "./button.scss";
export interface ButtonProps {
    accessibleText?: string;
    ariaControls?: string;
    ariaExpanded?: boolean;
    children?: any;
    cssClassName?: string;
    disabled?: boolean;
    id?: string;
    onClick?: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
    onDrag?: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
    onDrop?: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
    onKeyDown?: (e: React.KeyboardEvent<HTMLButtonElement>) => void;
    ref?: React.RefObject<HTMLButtonElement>;
    size?: ButtonSizes;
    style?: ButtonStyles;
    type?: ButtonTypes;
    value?: string | number | string[] | undefined;
}
declare const Button: React.ForwardRefExoticComponent<Pick<ButtonProps, "style" | "id" | "type" | "children" | "onKeyDown" | "onClick" | "onDrag" | "onDrop" | "cssClassName" | "accessibleText" | "ariaControls" | "ariaExpanded" | "disabled" | "size" | "value"> & React.RefAttributes<HTMLButtonElement>>;
export { Button };
